package me.km.blocks.leaves;

import java.util.Random;
import me.km.blocks.ModBlocks;
import net.minecraft.block.BlockPlanks;
import net.minecraft.block.state.IBlockState;
import net.minecraft.item.Item;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class BlockCherryLeaves extends BlockLeaves
{
    public BlockCherryLeaves(String name, String local) 
    {
        super(name, local, BlockPlanks.EnumType.OAK);
    }
  
    @Override
    public Item getItemDropped(IBlockState state, Random rand, int fortune)
    {
        return Item.getItemFromBlock(ModBlocks.cherrySapling);
    }
    
    @Override
    protected void dropApple(World worldIn, BlockPos pos, IBlockState state, int chance)
    {
    }
}
