package me.km.items;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraftforge.common.capabilities.ICapabilityProvider;

public class ItemGemStone extends ItemBase
{
    public ItemGemStone(String name, String local) 
    {
        super(name, local);
        super.setCreativeTab(CreativeTabs.MATERIALS);
    }

    @Override
    public ICapabilityProvider initCapabilities(ItemStack stack, NBTTagCompound nbt) 
    {
        getTagCompound(stack);
        return null;
    }  
    
    private NBTTagCompound getTagCompound(ItemStack stack)
    {
        NBTTagCompound com = stack.getTagCompound();
        if(com == null)
        {
            com = new NBTTagCompound();
            com.setInteger("color", 0xFFFFFF);
            stack.setTagCompound(com);
        }
        else
        {
            if(!com.hasKey("color"))
            {
                com.setInteger("color", 0xFFFFFF);   
            }
        }
        return com;
    }
    
    public void setColor(ItemStack stack, int color)
    {
        getTagCompound(stack).setInteger("color", color);
    }
    
    public int getColor(ItemStack stack)
    {
        return getTagCompound(stack).getInteger("color");
    }
}
