package me.km.world;

import net.minecraftforge.common.DimensionManager;
import net.minecraftforge.event.world.WorldEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ChangeWorldEvent
{
    @SubscribeEvent
    public void onWorldUnload(WorldEvent.Unload e)
    {
        // doing this should be safe here
        int i = e.getWorld().provider.getDimension();
        if(i >= -1 && i <= 1)
        {
            return;
        }
        if(DimensionManager.isDimensionRegistered(i))
        {
            DimensionManager.unregisterDimension(i); 
            ModDimensions.LOADED_DIMS.remove(i);
        }
    }
}
